Skip to Content
KnowaKYC
Tenant API (KYC)

API reference (OpenAPI)

The Tenant API specification is available in OpenAPI 3.0 format and contains the complete description of every endpoint, request, and response schema. The single specification covers both KYC endpoints (sessions, applicants, verification links, etc.) and KYB endpoints (/v1/kyb/businesses, /v1/kyb/businesses/{id}, etc.).

The topical sections of this documentation (Applicants, Verification links, Webhooks, etc.) embed the request and response blocks from the same specification. The complete endpoint list is below:

GET
/v1/kyb/applicants/external/{external_id}/documents

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

external_id*string

External user ID

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

Documents list

application/json
  1. response
data?array<>
pagination?
success?boolean
Example Request
curl -X GET 'https://example.com/tenant/v1/kyb/applicants/external/string/documents' \  -H 'X-Timestamp: string'
Example Response
{  "pagination": {    "has_more": true,    "limit": 0,    "next_cursor": "string",    "offset": 0,    "total": 0  },  "success": true,  "data": [    {      "attempt_number": 0,      "collection": {        "doc_liveness": {          "is_real": true,          "portrait_replace": 0,          "printed_copy": 0,          "result_code": "string",          "score": 0,          "screen_replay": 0,          "status": "string",          "status_error": "string",          "thresholds": {            "portrait_replace": 0,            "printed_copy": 0,            "screen_replay": 0          }        },        "doc_liveness_sides": {          "property1": {            "is_real": true,            "portrait_replace": 0,            "printed_copy": 0,            "result_code": "string",            "score": 0,            "screen_replay": 0,            "status": "string",            "status_error": "string",            "thresholds": {              "portrait_replace": 0,              "printed_copy": 0,              "screen_replay": 0            }          },          "property2": {            "is_real": true,            "portrait_replace": 0,            "printed_copy": 0,            "result_code": "string",            "score": 0,            "screen_replay": 0,            "status": "string",            "status_error": "string",            "thresholds": {              "portrait_replace": 0,              "printed_copy": 0,              "screen_replay": 0            }          }        },        "document_metadata": {          "back_file_id": "string",          "front_file_id": "string",          "portrait_file_id": "string",          "primary_file_id": "string"        },        "document_order": 0,        "logical_document_id": "string",        "ocr": {          "additional": {            "property1": "string",            "property2": "string"          },          "address": "string",          "barcode": {            "property1": "string",            "property2": "string"          },          "booklet_number": "string",          "date_of_birth": "string",          "document_class": "string",          "document_name": "string",          "document_number": "string",          "document_series": "string",          "document_type": "string",          "expiry_date": "string",          "field_issues": {            "property1": "string",            "property2": "string"          },          "first_name": "string",          "full_name": "string",          "full_name_latin": "string",          "gender": "string",          "issue_date": "string",          "issuing_authority": "string",          "issuing_authority_name": "string",          "issuing_country": "string",          "issuing_place": "string",          "issuing_state_code": "string",          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "mrz_code": "string",          "mrz_data": {            "property1": "string",            "property2": "string"          },          "mrz_type": "string",          "nationality": "string",          "nationality_name": "string",          "native_full_name": "string",          "personal_number": "string",          "place_of_birth": "string",          "portrait": "string",          "portrait_position": {            "x1": 0,            "x2": 0,            "y1": 0,            "y2": 0          },          "position": {            "x1": 0,            "x2": 0,            "y1": 0,            "y2": 0          },          "profession": "string",          "reconciliation": {            "canonical_name": {              "confidence": 0,              "full_name": "string",              "given_names": "string",              "language": "string",              "script": "string",              "source": "mrz",              "surname": "string"            },            "confidence": 0,            "conflicts": [              {                "code": "name_mismatch",                "field": "string",                "left_source": "mrz",                "right_source": "mrz",                "severity": "string"              }            ],            "decision": "accept",            "evidence_sufficient": true,            "fixable_by_recapture": true,            "model": "string",            "mrz": {              "decision_source": "string",              "independent_available": true,              "independent_valid": true,              "parsed": {                "checks": {                  "property1": {                    "expected": "string",                    "observed": "string",                    "valid": true                  },                  "property2": {                    "expected": "string",                    "observed": "string",                    "valid": true                  }                },                "date_of_birth": "string",                "document_number": "string",                "expiry_date": "string",                "given_names": "string",                "layout": "TD1",                "nationality": "string",                "raw_lines": [                  "string"                ],                "sex": "string",                "surname": "string",                "valid": true,                "validation_complete": true              },              "provider_state": "valid",              "provider_validation": "string",              "shadow_decision_applied": true,              "shadow_state": "valid"            },            "names": [              {                "confidence": 0,                "full_name": "string",                "given_names": "string",                "language": "string",                "script": "string",                "source": "mrz",                "surname": "string"              }            ],            "recommended_action": "continue"          },          "tax_number": "string"        },        "review_decision": {          "automatic_status": "string",          "decided_at": "string",          "decision": "string",          "source": "string"        },        "revision": 0,        "status": "string"      },      "created_at": "string",      "extracted_data": {        "date_of_birth": "string",        "date_of_issue": "string",        "document_number": "string",        "document_type": "string",        "expiry_date": "string",        "extended_data": {          "property1": "string",          "property2": "string"        },        "first_name": "string",        "full_name": "string",        "full_name_latin": "string",        "full_name_native": "string",        "full_name_original": "string",        "gender": "string",        "issuing_country": "string",        "last_name": "string",        "middle_name": "string",        "mrz": "string",        "nationality": "string",        "ocr": {          "additional": {            "property1": "string",            "property2": "string"          },          "address": "string",          "barcode": {            "property1": "string",            "property2": "string"          },          "booklet_number": "string",          "date_of_birth": "string",          "document_class": "string",          "document_name": "string",          "document_number": "string",          "document_series": "string",          "document_type": "string",          "expiry_date": "string",          "field_issues": {            "property1": "string",            "property2": "string"          },          "first_name": "string",          "full_name": "string",          "full_name_latin": "string",          "gender": "string",          "issue_date": "string",          "issuing_authority": "string",          "issuing_authority_name": "string",          "issuing_country": "string",          "issuing_place": "string",          "issuing_state_code": "string",          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "mrz_code": "string",          "mrz_data": {            "property1": "string",            "property2": "string"          },          "mrz_type": "string",          "nationality": "string",          "nationality_name": "string",          "native_full_name": "string",          "personal_number": "string",          "place_of_birth": "string",          "portrait": "string",          "portrait_position": {            "x1": 0,            "x2": 0,            "y1": 0,            "y2": 0          },          "position": {            "x1": 0,            "x2": 0,            "y1": 0,            "y2": 0          },          "profession": "string",          "reconciliation": {            "canonical_name": {              "confidence": 0,              "full_name": "string",              "given_names": "string",              "language": "string",              "script": "string",              "source": "mrz",              "surname": "string"            },            "confidence": 0,            "conflicts": [              {                "code": "name_mismatch",                "field": "string",                "left_source": "mrz",                "right_source": "mrz",                "severity": "string"              }            ],            "decision": "accept",            "evidence_sufficient": true,            "fixable_by_recapture": true,            "model": "string",            "mrz": {              "decision_source": "string",              "independent_available": true,              "independent_valid": true,              "parsed": {                "checks": {                  "property1": {                    "expected": "string",                    "observed": "string",                    "valid": true                  },                  "property2": {                    "expected": "string",                    "observed": "string",                    "valid": true                  }                },                "date_of_birth": "string",                "document_number": "string",                "expiry_date": "string",                "given_names": "string",                "layout": "TD1",                "nationality": "string",                "raw_lines": [                  "string"                ],                "sex": "string",                "surname": "string",                "valid": true,                "validation_complete": true              },              "provider_state": "valid",              "provider_validation": "string",              "shadow_decision_applied": true,              "shadow_state": "valid"            },            "names": [              {                "confidence": 0,                "full_name": "string",                "given_names": "string",                "language": "string",                "script": "string",                "source": "mrz",                "surname": "string"              }            ],            "recommended_action": "continue"          },          "tax_number": "string"        },        "place_of_birth": "string"      },      "id": "string",      "is_current": true,      "issuing_country": "string",      "pages": [        {          "download_url": "string",          "download_url_expires_at": "string",          "image_id": "string",          "side": "string"        }      ],      "reason_codes": [        "string"      ],      "session_id": "string",      "side": "string",      "status": "string",      "step_id": "string",      "type": "string",      "verification": {        "checks": [          {            "is_authentic": true,            "liveness_score": 0,            "portrait_replace_score": 0,            "printed_copy_score": 0,            "rejection_reasons": [              "string"            ],            "screen_replay_score": 0,            "similarity_score": 0,            "status": "string",            "type": "string"          }        ],        "status": "string"      }    }  ]}
GET
/v1/kyb/audit

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Query Parameters

page?integer

Page (default 1)

page_size?integer

Page size (1-100, default 50)

action?string

Filter by action

actorId?string

Filter by actor UUID

dateFrom?string

From (RFC3339)

dateTo?string

To (RFC3339)

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

Paged audit log items

*/*
  1. response
data?array<>
pagination?
success?boolean
Example Request
curl -X GET 'https://example.com/tenant/v1/kyb/audit' \  -H 'X-Timestamp: string'
Example Response
{  "pagination": {    "page": 0,    "page_size": 0,    "total_items": 0,    "total_pages": 0  },  "success": true,  "data": [    {      "action": "string",      "actor_email": "string",      "actor_id": "string",      "actor_type": "string",      "created_at": "string",      "details": {        "changes": [          "string"        ],        "metadata": {          "property1": null,          "property2": null        },        "new_value": {          "property1": null,          "property2": null        },        "old_value": {          "property1": null,          "property2": null        }      },      "id": "string",      "resource_id": "string",      "resource_type": "string",      "tenant_id": "string"    }  ]}
GET
/v1/kyb/businesses

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Query Parameters

page?integer

Page (1-based, default 1)

page_size?integer

Page size (1-100, default 50)

status?string

Filter: pending, verified, rejected, review

country?string

Filter by country (ISO 3166-1 alpha-2)

search?string

Search by company name or registration number

registration_number?string

Filter by registration number

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

Paginated list of companies

application/json
  1. response
data?array<>
pagination?
success?boolean
Example Request
curl -X GET 'https://example.com/tenant/v1/kyb/businesses' \  -H 'X-Timestamp: string'
Example Response
{  "data": [    {      "activities": {        "additional": [          "string"        ],        "main": "string"      },      "activities_evidence_sources": [        "string"      ],      "activities_typed": [        {          "code": "string",          "description": "string",          "is_primary": true,          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "name": "string",          "system": "string"        }      ],      "activities_unavailable_reason_info": "string",      "actual_address": "string",      "additional_url": "string",      "additional_url_evidence_sources": [        "string"      ],      "additional_url_unavailable_reason_info": "string",      "addresses_typed": [        {          "address": {            "city": "string",            "country": "string",            "full_text": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "postal_code": "string",            "region": "string",            "street": "string"          },          "type": "string",          "valid_from": "string",          "valid_to": "string"        }      ],      "adverse_media": [        {          "categories": [            "string"          ],          "language": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "published_at": "string",          "severity": "string",          "source": "string",          "summary": "string",          "title": "string",          "url": "string"        }      ],      "ai_analysis": {        "confidence": 0,        "confirmation_flag": true,        "green_flags": [          "string"        ],        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "model_version": "string",        "red_flags": [          "string"        ],        "summary": "string"      },      "ai_confirmation_flag": true,      "ai_notes": "string",      "ai_sources": [        "string"      ],      "ai_summary": "string",      "bankruptcy": {        "case_number": "string",        "court": "string",        "is_bankrupt": true,        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "receiver": "string",        "stage": "string",        "started_at": "string"      },      "beneficiaries": [        {          "country": "string",          "name": "string",          "pep": true,          "share": "string",          "type": "string"        }      ],      "beneficiaries_evidence_sources": [        "string"      ],      "beneficiaries_typed": [        {          "addresses": [            {              "address": {                "city": "string",                "country": "string",                "full_text": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "postal_code": "string",                "region": "string",                "street": "string"              },              "type": "string",              "valid_from": "string",              "valid_to": "string"            }          ],          "appointed_at": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "id": "string",          "is_pep": true,          "is_sanctioned": true,          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string",          "ownership_pct": 0,          "resigned_at": "string",          "role": "string",          "role_raw": "string",          "tax_id": "string"        }      ],      "beneficiaries_unavailable_reason_info": "string",      "business_document_key": "string",      "business_document_url": "string",      "business_document_url_expires_at": "string",      "company_name": "string",      "company_status": "string",      "country": "string",      "created_at": "string",      "current_review_decision": {        "client_message": "string",        "created_at": "string",        "decision": "string",        "id": "string",        "reason_codes": [          "string"        ],        "scope": "string",        "session_id": "string",        "step_id": "string"      },      "decision": "string",      "director_evidence_sources": [        "string"      ],      "director_name": "string",      "director_title": "string",      "director_unavailable_reason_info": "string",      "directors": [        {          "name": "string",          "title": "string"        }      ],      "directors_typed": [        {          "addresses": [            {              "address": {                "city": "string",                "country": "string",                "full_text": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "postal_code": "string",                "region": "string",                "street": "string"              },              "type": "string",              "valid_from": "string",              "valid_to": "string"            }          ],          "appointed_at": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "id": "string",          "is_pep": true,          "is_sanctioned": true,          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string",          "ownership_pct": 0,          "resigned_at": "string",          "role": "string",          "role_raw": "string",          "tax_id": "string"        }      ],      "enrichment_errors": [        "string"      ],      "evidence_profile": {        "property1": null,        "property2": null      },      "external_id": "string",      "financials": {        "assets": 0,        "authorized_capital": 0,        "currency": "string",        "employee_count": 0,        "employee_date": "string",        "equity": 0,        "fiscal_year": 0,        "liabilities": 0,        "net_profit": 0,        "report_source": "string",        "revenue": 0      },      "id": "string",      "kyb": {        "activities": [          {            "code": "string",            "description": "string",            "is_primary": true          }        ],        "activities_evidence_sources": [          "string"        ],        "activities_typed": [          {            "code": "string",            "description": "string",            "is_primary": true,            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "name": "string",            "system": "string"          }        ],        "activities_unavailable_reason_info": "string",        "actual_address": "string",        "additional_url": "string",        "additional_url_evidence_sources": [          "string"        ],        "additional_url_unavailable_reason_info": "string",        "addresses_typed": [          {            "address": {              "city": "string",              "country": "string",              "full_text": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "postal_code": "string",              "region": "string",              "street": "string"            },            "type": "string",            "valid_from": "string",            "valid_to": "string"          }        ],        "adverse_media": [          {            "categories": [              "string"            ],            "language": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "published_at": "string",            "severity": "string",            "source": "string",            "summary": "string",            "title": "string",            "url": "string"          }        ],        "ai_analysis": {          "confidence": 0,          "confirmation_flag": true,          "green_flags": [            "string"          ],          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "model_version": "string",          "red_flags": [            "string"          ],          "summary": "string"        },        "bankruptcy": {          "case_number": "string",          "court": "string",          "is_bankrupt": true,          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "receiver": "string",          "stage": "string",          "started_at": "string"        },        "beneficiaries": [          {            "is_director": true,            "name": "string",            "ownership": 0          }        ],        "beneficiaries_evidence_sources": [          "string"        ],        "beneficiaries_typed": [          {            "addresses": [              {                "address": {                  "city": "string",                  "country": "string",                  "full_text": "string",                  "localized": {                    "property1": {                      "property1": "string",                      "property2": "string"                    },                    "property2": {                      "property1": "string",                      "property2": "string"                    }                  },                  "postal_code": "string",                  "region": "string",                  "street": "string"                },                "type": "string",                "valid_from": "string",                "valid_to": "string"              }            ],            "appointed_at": "string",            "date_of_birth": "string",            "documents": [              {                "class": "string",                "country": "string",                "expiration_date": "string",                "issue_date": "string",                "number": "string",                "type": "string"              }            ],            "first_name": "string",            "full_name": "string",            "id": "string",            "is_pep": true,            "is_sanctioned": true,            "last_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "middle_name": "string",            "nationality": "string",            "ownership_pct": 0,            "resigned_at": "string",            "role": "string",            "role_raw": "string",            "tax_id": "string"          }        ],        "beneficiaries_unavailable_reason_info": "string",        "company_aliases": [          "string"        ],        "company_code": "string",        "company_name": "string",        "confirmation_flag": true,        "confirmation_tier": "string",        "consulted_sources": [          "string"        ],        "country": "string",        "decision": "string",        "decision_reason": "string",        "director_evidence_sources": [          "string"        ],        "director_name": "string",        "director_title": "string",        "director_unavailable_reason_info": "string",        "directors_typed": [          {            "addresses": [              {                "address": {                  "city": "string",                  "country": "string",                  "full_text": "string",                  "localized": {                    "property1": {                      "property1": "string",                      "property2": "string"                    },                    "property2": {                      "property1": "string",                      "property2": "string"                    }                  },                  "postal_code": "string",                  "region": "string",                  "street": "string"                },                "type": "string",                "valid_from": "string",                "valid_to": "string"              }            ],            "appointed_at": "string",            "date_of_birth": "string",            "documents": [              {                "class": "string",                "country": "string",                "expiration_date": "string",                "issue_date": "string",                "number": "string",                "type": "string"              }            ],            "first_name": "string",            "full_name": "string",            "id": "string",            "is_pep": true,            "is_sanctioned": true,            "last_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "middle_name": "string",            "nationality": "string",            "ownership_pct": 0,            "resigned_at": "string",            "role": "string",            "role_raw": "string",            "tax_id": "string"          }        ],        "field_evidence": [          {            "confidence": 0,            "declared_value": "string",            "document_source": "string",            "document_value": "string",            "field": "string",            "match_status": "string",            "provider": "string",            "provider_value": "string",            "reason_code": "string",            "severity": "string"          }        ],        "financials": {          "assets": 0,          "authorized_capital": 0,          "currency": "string",          "employee_count": 0,          "employee_date": "string",          "equity": 0,          "fiscal_year": 0,          "liabilities": 0,          "net_profit": 0,          "report_source": "string",          "revenue": 0        },        "incorporation_country": "string",        "incorporation_date": "string",        "legal_address": "string",        "legal_form": "string",        "legal_form_raw": "string",        "lei": "string",        "liquidation_date": "string",        "litigation": [          {            "amount": 0,            "case_number": "string",            "closed_at": "string",            "court": "string",            "currency": "string",            "filed_at": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "role": "string",            "status": "string",            "subject": "string"          }        ],        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "lookup_coverage_tier": "string",        "lookup_next_actions": [          {            "action": "string",            "detail": "string",            "identifiers": [              "string"            ],            "label": "string",            "provider": "string",            "url": "string"          }        ],        "lookup_outcome": {          "auto_approval_eligible": true,          "coverage_tier": "string",          "decision_bias": "string",          "next_actions": [            {              "action": "string",              "detail": "string",              "identifiers": [                "string"              ],              "label": "string",              "provider": "string",              "url": "string"            }          ],          "official_source_count": 0,          "provider_statuses": [            {              "detail": "string",              "provider": "string",              "status": "string"            }          ],          "reason": "string",          "registry_authority_hint": [            "string"          ],          "requires_manual_review": true,          "secondary_source_count": 0        },        "lookup_outcome_reason": "string",        "main_url": "string",        "main_url_evidence_sources": [          "string"        ],        "main_url_unavailable_reason_info": "string",        "notes": "string",        "pep": [          {            "confidence": 0,            "hit_details": {              "additional_information": [                {                  "label": "string",                  "value": "string"                }              ],              "additional_sanctions": [                "string"              ],              "country": "string",              "crypto_wallets": [                "string"              ],              "delisted_at": "string",              "description": "string",              "education": [                "string"              ],              "email_addresses": [                "string"              ],              "last_updated": "string",              "listed_at": "string",              "notes": "string",              "phone_numbers": [                "string"              ],              "position": "string",              "programs": [                "string"              ],              "remarks": "string",              "risk_categories": [                "string"              ],              "source_links": [                "string"              ],              "source_url": "string",              "websites": [                "string"              ]            },            "list_category": "string",            "list_id": "string",            "list_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "match_fields": [              "string"            ],            "match_strength": "string",            "person": {              "aliases": [                "string"              ],              "birth_place": "string",              "citizenship": "string",              "date_of_birth": "string",              "documents": [                {                  "class": "string",                  "country": "string",                  "expiration_date": "string",                  "issue_date": "string",                  "number": "string",                  "type": "string"                }              ],              "first_name": "string",              "full_name": "string",              "gender": "string",              "last_name": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "middle_name": "string",              "nationality": "string"            },            "provenance": {              "raw_record": {                "property1": null,                "property2": null              },              "vendor_list_id": "string",              "vendor_match_id": "string",              "vendor_source_id": "string"            }          }        ],        "proprietor_name": "string",        "provider_metadata": {          "duration_ms": 0,          "evidence_reuse": {            "execution_id": "string",            "reason": "string",            "recovery_audit_id": "string",            "source_attempt_number": 0,            "source_execution_id": "string",            "source_verification_id": "string"          },          "name": "string",          "raw": {            "property1": null,            "property2": null          },          "raw_response_key": "string",          "received_at": "string",          "request_id": "string",          "version": "string"        },        "provider_statuses": [          {            "detail": "string",            "provider": "string",            "retrieved_at": "string",            "status": "string"          }        ],        "reconciliation_decision": "string",        "reconciliation_reason_codes": [          "string"        ],        "registration_date": "string",        "registration_number": "string",        "registry_facts": [          {            "company_aliases": [              "string"            ],            "company_name": "string",            "confidence": 0,            "country": "string",            "director_names": [              "string"            ],            "incorporation_date": "string",            "legal_address": "string",            "lei": "string",            "provider": "string",            "registration_date": "string",            "registration_number": "string",            "source_retrieved_at": "string",            "source_url": "string",            "status": "string",            "tax_number": "string",            "website": "string"          }        ],        "risk_factors": [          {            "category": "string",            "code": "string",            "description": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "severity": "string",            "weight": 0          }        ],        "risk_level": "string",        "risk_score": 0,        "sanctions": [          {            "confidence": 0,            "hit_details": {              "additional_information": [                {                  "label": "string",                  "value": "string"                }              ],              "additional_sanctions": [                "string"              ],              "country": "string",              "crypto_wallets": [                "string"              ],              "delisted_at": "string",              "description": "string",              "education": [                "string"              ],              "email_addresses": [                "string"              ],              "last_updated": "string",              "listed_at": "string",              "notes": "string",              "phone_numbers": [                "string"              ],              "position": "string",              "programs": [                "string"              ],              "remarks": "string",              "risk_categories": [                "string"              ],              "source_links": [                "string"              ],              "source_url": "string",              "websites": [                "string"              ]            },            "list_category": "string",            "list_id": "string",            "list_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "match_fields": [              "string"            ],            "match_strength": "string",            "person": {              "aliases": [                "string"              ],              "birth_place": "string",              "citizenship": "string",              "date_of_birth": "string",              "documents": [                {                  "class": "string",                  "country": "string",                  "expiration_date": "string",                  "issue_date": "string",                  "number": "string",                  "type": "string"                }              ],              "first_name": "string",              "full_name": "string",              "gender": "string",              "last_name": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "middle_name": "string",              "nationality": "string"            },            "provenance": {              "raw_record": {                "property1": null,                "property2": null              },              "vendor_list_id": "string",              "vendor_match_id": "string",              "vendor_source_id": "string"            }          }        ],        "shareholders": [          {            "addresses": [              {                "address": {                  "city": "string",                  "country": "string",                  "full_text": "string",                  "localized": {                    "property1": {                      "property1": "string",                      "property2": "string"                    },                    "property2": {                      "property1": "string",                      "property2": "string"                    }                  },                  "postal_code": "string",                  "region": "string",                  "street": "string"                },                "type": "string",                "valid_from": "string",                "valid_to": "string"              }            ],            "appointed_at": "string",            "date_of_birth": "string",            "documents": [              {                "class": "string",                "country": "string",                "expiration_date": "string",                "issue_date": "string",                "number": "string",                "type": "string"              }            ],            "first_name": "string",            "full_name": "string",            "id": "string",            "is_pep": true,            "is_sanctioned": true,            "last_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "middle_name": "string",            "nationality": "string",            "ownership_pct": 0,            "resigned_at": "string",            "role": "string",            "role_raw": "string",            "tax_id": "string"          }        ],        "signatories": [          {            "addresses": [              {                "address": {                  "city": "string",                  "country": "string",                  "full_text": "string",                  "localized": {                    "property1": {                      "property1": "string",                      "property2": "string"                    },                    "property2": {                      "property1": "string",                      "property2": "string"                    }                  },                  "postal_code": "string",                  "region": "string",                  "street": "string"                },                "type": "string",                "valid_from": "string",                "valid_to": "string"              }            ],            "appointed_at": "string",            "date_of_birth": "string",            "documents": [              {                "class": "string",                "country": "string",                "expiration_date": "string",                "issue_date": "string",                "number": "string",                "type": "string"              }            ],            "first_name": "string",            "full_name": "string",            "id": "string",            "is_pep": true,            "is_sanctioned": true,            "last_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "middle_name": "string",            "nationality": "string",            "ownership_pct": 0,            "resigned_at": "string",            "role": "string",            "role_raw": "string",            "tax_id": "string"          }        ],        "sources": [          "string"        ],        "status": "string",        "status_date": "string",        "status_evidence_sources": [          "string"        ],        "status_info": "string",        "summary": "string",        "suspicious_signals": [          "string"        ],        "tax_number": "string",        "trade_name": "string",        "trading_name": "string"      },      "kyb_document_analysis": {        "confidence": 0,        "decision": "string",        "extracted_business_fields": {          "actual_address": "string",          "company_name": "string",          "company_status": "string",          "director_name": "string",          "director_title": "string",          "identifiers": [            "string"          ],          "legal_address": "string",          "matched": [            "string"          ],          "missing": [            "string"          ],          "registration_date": "string",          "registration_number": "string",          "status_date": "string",          "status_info": "string",          "tax_number": "string"        },        "files": [          {            "document_group": "string",            "document_type": "string",            "encrypted": true,            "freshness_status": "string",            "issue_date": "string",            "name": "string",            "ocr_required": true,            "size_bytes": 0,            "text_bytes": 0,            "type": "string"          }        ],        "fraud_signals": [          {            "file": "string",            "type": "string"          }        ],        "reasons": [          "string"        ]      },      "last_session_id": "string",      "last_verified_at": "string",      "latest_flow_name": "string",      "legal_address": "string",      "legal_form": "string",      "liquidation_date": "string",      "litigation": [        {          "amount": 0,          "case_number": "string",          "closed_at": "string",          "court": "string",          "currency": "string",          "filed_at": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "role": "string",          "status": "string",          "subject": "string"        }      ],      "main_url": "string",      "main_url_evidence_sources": [        "string"      ],      "main_url_unavailable_reason_info": "string",      "pep": [        {          "confidence": 0,          "hit_details": {            "additional_information": [              {                "label": "string",                "value": "string"              }            ],            "additional_sanctions": [              "string"            ],            "country": "string",            "crypto_wallets": [              "string"            ],            "delisted_at": "string",            "description": "string",            "education": [              "string"            ],            "email_addresses": [              "string"            ],            "last_updated": "string",            "listed_at": "string",            "notes": "string",            "phone_numbers": [              "string"            ],            "position": "string",            "programs": [              "string"            ],            "remarks": "string",            "risk_categories": [              "string"            ],            "source_links": [              "string"            ],            "source_url": "string",            "websites": [              "string"            ]          },          "list_category": "string",          "list_id": "string",          "list_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "match_fields": [            "string"          ],          "match_strength": "string",          "person": {            "aliases": [              "string"            ],            "birth_place": "string",            "citizenship": "string",            "date_of_birth": "string",            "documents": [              {                "class": "string",                "country": "string",                "expiration_date": "string",                "issue_date": "string",                "number": "string",                "type": "string"              }            ],            "first_name": "string",            "full_name": "string",            "gender": "string",            "last_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "middle_name": "string",            "nationality": "string"          },          "provenance": {            "raw_record": {              "property1": null,              "property2": null            },            "vendor_list_id": "string",            "vendor_match_id": "string",            "vendor_source_id": "string"          }        }      ],      "profile": {        "property1": null,        "property2": null      },      "registration_date": "string",      "registration_number": "string",      "rejection_reasons": [        "string"      ],      "review_correction_at": "string",      "review_requested_at": "string",      "review_requested_by": "string",      "review_risk_reasons": [        "string"      ],      "risk_factors": [        {          "category": "string",          "code": "string",          "description": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "severity": "string",          "weight": 0        }      ],      "risk_level": "string",      "risk_score": 0,      "sanctions": [        {          "confidence": 0,          "hit_details": {            "additional_information": [              {                "label": "string",                "value": "string"              }            ],            "additional_sanctions": [              "string"            ],            "country": "string",            "crypto_wallets": [              "string"            ],            "delisted_at": "string",            "description": "string",            "education": [              "string"            ],            "email_addresses": [              "string"            ],            "last_updated": "string",            "listed_at": "string",            "notes": "string",            "phone_numbers": [              "string"            ],            "position": "string",            "programs": [              "string"            ],            "remarks": "string",            "risk_categories": [              "string"            ],            "source_links": [              "string"            ],            "source_url": "string",            "websites": [              "string"            ]          },          "list_category": "string",          "list_id": "string",          "list_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "match_fields": [            "string"          ],          "match_strength": "string",          "person": {            "aliases": [              "string"            ],            "birth_place": "string",            "citizenship": "string",            "date_of_birth": "string",            "documents": [              {                "class": "string",                "country": "string",                "expiration_date": "string",                "issue_date": "string",                "number": "string",                "type": "string"              }            ],            "first_name": "string",            "full_name": "string",            "gender": "string",            "last_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "middle_name": "string",            "nationality": "string"          },          "provenance": {            "raw_record": {              "property1": null,              "property2": null            },            "vendor_list_id": "string",            "vendor_match_id": "string",            "vendor_source_id": "string"          }        }      ],      "shareholders": [        {          "addresses": [            {              "address": {                "city": "string",                "country": "string",                "full_text": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "postal_code": "string",                "region": "string",                "street": "string"              },              "type": "string",              "valid_from": "string",              "valid_to": "string"            }          ],          "appointed_at": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "id": "string",          "is_pep": true,          "is_sanctioned": true,          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string",          "ownership_pct": 0,          "resigned_at": "string",          "role": "string",          "role_raw": "string",          "tax_id": "string"        }      ],      "signatories": [        {          "addresses": [            {              "address": {                "city": "string",                "country": "string",                "full_text": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "postal_code": "string",                "region": "string",                "street": "string"              },              "type": "string",              "valid_from": "string",              "valid_to": "string"            }          ],          "appointed_at": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "id": "string",          "is_pep": true,          "is_sanctioned": true,          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string",          "ownership_pct": 0,          "resigned_at": "string",          "role": "string",          "role_raw": "string",          "tax_id": "string"        }      ],      "status_date": "string",      "status_evidence_sources": [        "string"      ],      "status_info": "string",      "tax_number": "string",      "updated_at": "string",      "verification_status": "string"    }  ],  "pagination": {    "has_more": true,    "limit": 0,    "next_cursor": "string",    "offset": 0,    "total": 0  },  "success": true}
DELETE
/v1/kyb/businesses/{business_id}

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

business_id*string

Business UUID

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

Deletion request created

application/json
  1. response
data?
success?boolean
Example Request
curl -X DELETE 'https://example.com/tenant/v1/kyb/businesses/string' \  -H 'X-Timestamp: string'
Example Response
{  "success": true,  "data": {    "created_at": "string",    "entity_type": "kyc",    "id": "string",    "object_id": "string",    "object_type": "session",    "reason": "string",    "rejection_reason": "string",    "requested_at": "string",    "requested_by_id": "string",    "requested_by_name": "string",    "reviewed_at": "string",    "reviewed_by_name": "string",    "status": "pending",    "tenant_id": "string",    "updated_at": "string"  }}
GET
/v1/kyb/businesses/{business_id}

Authorization

ApiKeyAuth
headerAuthorization<token>

HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.

Path Parameters

business_id*string

Business UUID

Header Parameters

X-Timestamp*string

Unix timestamp (seconds, max 5 min drift)

Response Body

Company details

application/json
  1. response
data?
success?boolean
Example Request
curl -X GET 'https://example.com/tenant/v1/kyb/businesses/string' \  -H 'X-Timestamp: string'
Example Response
{  "data": {    "activities": {      "additional": [        "string"      ],      "main": "string"    },    "activities_evidence_sources": [      "string"    ],    "activities_typed": [      {        "code": "string",        "description": "string",        "is_primary": true,        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "name": "string",        "system": "string"      }    ],    "activities_unavailable_reason_info": "string",    "actual_address": "string",    "additional_url": "string",    "additional_url_evidence_sources": [      "string"    ],    "additional_url_unavailable_reason_info": "string",    "addresses_typed": [      {        "address": {          "city": "string",          "country": "string",          "full_text": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "postal_code": "string",          "region": "string",          "street": "string"        },        "type": "string",        "valid_from": "string",        "valid_to": "string"      }    ],    "adverse_media": [      {        "categories": [          "string"        ],        "language": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "published_at": "string",        "severity": "string",        "source": "string",        "summary": "string",        "title": "string",        "url": "string"      }    ],    "ai_analysis": {      "confidence": 0,      "confirmation_flag": true,      "green_flags": [        "string"      ],      "localized": {        "property1": {          "property1": "string",          "property2": "string"        },        "property2": {          "property1": "string",          "property2": "string"        }      },      "model_version": "string",      "red_flags": [        "string"      ],      "summary": "string"    },    "ai_confirmation_flag": true,    "ai_notes": "string",    "ai_sources": [      "string"    ],    "ai_summary": "string",    "bankruptcy": {      "case_number": "string",      "court": "string",      "is_bankrupt": true,      "localized": {        "property1": {          "property1": "string",          "property2": "string"        },        "property2": {          "property1": "string",          "property2": "string"        }      },      "receiver": "string",      "stage": "string",      "started_at": "string"    },    "beneficiaries": [      {        "country": "string",        "name": "string",        "pep": true,        "share": "string",        "type": "string"      }    ],    "beneficiaries_evidence_sources": [      "string"    ],    "beneficiaries_typed": [      {        "addresses": [          {            "address": {              "city": "string",              "country": "string",              "full_text": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "postal_code": "string",              "region": "string",              "street": "string"            },            "type": "string",            "valid_from": "string",            "valid_to": "string"          }        ],        "appointed_at": "string",        "date_of_birth": "string",        "documents": [          {            "class": "string",            "country": "string",            "expiration_date": "string",            "issue_date": "string",            "number": "string",            "type": "string"          }        ],        "first_name": "string",        "full_name": "string",        "id": "string",        "is_pep": true,        "is_sanctioned": true,        "last_name": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "middle_name": "string",        "nationality": "string",        "ownership_pct": 0,        "resigned_at": "string",        "role": "string",        "role_raw": "string",        "tax_id": "string"      }    ],    "beneficiaries_unavailable_reason_info": "string",    "business_document_key": "string",    "business_document_url": "string",    "business_document_url_expires_at": "string",    "company_name": "string",    "company_status": "string",    "country": "string",    "created_at": "string",    "current_review_decision": {      "client_message": "string",      "created_at": "string",      "decision": "string",      "id": "string",      "reason_codes": [        "string"      ],      "scope": "string",      "session_id": "string",      "step_id": "string"    },    "decision": "string",    "director_evidence_sources": [      "string"    ],    "director_name": "string",    "director_title": "string",    "director_unavailable_reason_info": "string",    "directors": [      {        "name": "string",        "title": "string"      }    ],    "directors_typed": [      {        "addresses": [          {            "address": {              "city": "string",              "country": "string",              "full_text": "string",              "localized": {                "property1": {                  "property1": "string",                  "property2": "string"                },                "property2": {                  "property1": "string",                  "property2": "string"                }              },              "postal_code": "string",              "region": "string",              "street": "string"            },            "type": "string",            "valid_from": "string",            "valid_to": "string"          }        ],        "appointed_at": "string",        "date_of_birth": "string",        "documents": [          {            "class": "string",            "country": "string",            "expiration_date": "string",            "issue_date": "string",            "number": "string",            "type": "string"          }        ],        "first_name": "string",        "full_name": "string",        "id": "string",        "is_pep": true,        "is_sanctioned": true,        "last_name": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "middle_name": "string",        "nationality": "string",        "ownership_pct": 0,        "resigned_at": "string",        "role": "string",        "role_raw": "string",        "tax_id": "string"      }    ],    "enrichment_errors": [      "string"    ],    "evidence_profile": {      "property1": null,      "property2": null    },    "external_id": "string",    "financials": {      "assets": 0,      "authorized_capital": 0,      "currency": "string",      "employee_count": 0,      "employee_date": "string",      "equity": 0,      "fiscal_year": 0,      "liabilities": 0,      "net_profit": 0,      "report_source": "string",      "revenue": 0    },    "id": "string",    "kyb": {      "activities": [        {          "code": "string",          "description": "string",          "is_primary": true        }      ],      "activities_evidence_sources": [        "string"      ],      "activities_typed": [        {          "code": "string",          "description": "string",          "is_primary": true,          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "name": "string",          "system": "string"        }      ],      "activities_unavailable_reason_info": "string",      "actual_address": "string",      "additional_url": "string",      "additional_url_evidence_sources": [        "string"      ],      "additional_url_unavailable_reason_info": "string",      "addresses_typed": [        {          "address": {            "city": "string",            "country": "string",            "full_text": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "postal_code": "string",            "region": "string",            "street": "string"          },          "type": "string",          "valid_from": "string",          "valid_to": "string"        }      ],      "adverse_media": [        {          "categories": [            "string"          ],          "language": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "published_at": "string",          "severity": "string",          "source": "string",          "summary": "string",          "title": "string",          "url": "string"        }      ],      "ai_analysis": {        "confidence": 0,        "confirmation_flag": true,        "green_flags": [          "string"        ],        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "model_version": "string",        "red_flags": [          "string"        ],        "summary": "string"      },      "bankruptcy": {        "case_number": "string",        "court": "string",        "is_bankrupt": true,        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "receiver": "string",        "stage": "string",        "started_at": "string"      },      "beneficiaries": [        {          "is_director": true,          "name": "string",          "ownership": 0        }      ],      "beneficiaries_evidence_sources": [        "string"      ],      "beneficiaries_typed": [        {          "addresses": [            {              "address": {                "city": "string",                "country": "string",                "full_text": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "postal_code": "string",                "region": "string",                "street": "string"              },              "type": "string",              "valid_from": "string",              "valid_to": "string"            }          ],          "appointed_at": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "id": "string",          "is_pep": true,          "is_sanctioned": true,          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string",          "ownership_pct": 0,          "resigned_at": "string",          "role": "string",          "role_raw": "string",          "tax_id": "string"        }      ],      "beneficiaries_unavailable_reason_info": "string",      "company_aliases": [        "string"      ],      "company_code": "string",      "company_name": "string",      "confirmation_flag": true,      "confirmation_tier": "string",      "consulted_sources": [        "string"      ],      "country": "string",      "decision": "string",      "decision_reason": "string",      "director_evidence_sources": [        "string"      ],      "director_name": "string",      "director_title": "string",      "director_unavailable_reason_info": "string",      "directors_typed": [        {          "addresses": [            {              "address": {                "city": "string",                "country": "string",                "full_text": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "postal_code": "string",                "region": "string",                "street": "string"              },              "type": "string",              "valid_from": "string",              "valid_to": "string"            }          ],          "appointed_at": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "id": "string",          "is_pep": true,          "is_sanctioned": true,          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string",          "ownership_pct": 0,          "resigned_at": "string",          "role": "string",          "role_raw": "string",          "tax_id": "string"        }      ],      "field_evidence": [        {          "confidence": 0,          "declared_value": "string",          "document_source": "string",          "document_value": "string",          "field": "string",          "match_status": "string",          "provider": "string",          "provider_value": "string",          "reason_code": "string",          "severity": "string"        }      ],      "financials": {        "assets": 0,        "authorized_capital": 0,        "currency": "string",        "employee_count": 0,        "employee_date": "string",        "equity": 0,        "fiscal_year": 0,        "liabilities": 0,        "net_profit": 0,        "report_source": "string",        "revenue": 0      },      "incorporation_country": "string",      "incorporation_date": "string",      "legal_address": "string",      "legal_form": "string",      "legal_form_raw": "string",      "lei": "string",      "liquidation_date": "string",      "litigation": [        {          "amount": 0,          "case_number": "string",          "closed_at": "string",          "court": "string",          "currency": "string",          "filed_at": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "role": "string",          "status": "string",          "subject": "string"        }      ],      "localized": {        "property1": {          "property1": "string",          "property2": "string"        },        "property2": {          "property1": "string",          "property2": "string"        }      },      "lookup_coverage_tier": "string",      "lookup_next_actions": [        {          "action": "string",          "detail": "string",          "identifiers": [            "string"          ],          "label": "string",          "provider": "string",          "url": "string"        }      ],      "lookup_outcome": {        "auto_approval_eligible": true,        "coverage_tier": "string",        "decision_bias": "string",        "next_actions": [          {            "action": "string",            "detail": "string",            "identifiers": [              "string"            ],            "label": "string",            "provider": "string",            "url": "string"          }        ],        "official_source_count": 0,        "provider_statuses": [          {            "detail": "string",            "provider": "string",            "status": "string"          }        ],        "reason": "string",        "registry_authority_hint": [          "string"        ],        "requires_manual_review": true,        "secondary_source_count": 0      },      "lookup_outcome_reason": "string",      "main_url": "string",      "main_url_evidence_sources": [        "string"      ],      "main_url_unavailable_reason_info": "string",      "notes": "string",      "pep": [        {          "confidence": 0,          "hit_details": {            "additional_information": [              {                "label": "string",                "value": "string"              }            ],            "additional_sanctions": [              "string"            ],            "country": "string",            "crypto_wallets": [              "string"            ],            "delisted_at": "string",            "description": "string",            "education": [              "string"            ],            "email_addresses": [              "string"            ],            "last_updated": "string",            "listed_at": "string",            "notes": "string",            "phone_numbers": [              "string"            ],            "position": "string",            "programs": [              "string"            ],            "remarks": "string",            "risk_categories": [              "string"            ],            "source_links": [              "string"            ],            "source_url": "string",            "websites": [              "string"            ]          },          "list_category": "string",          "list_id": "string",          "list_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "match_fields": [            "string"          ],          "match_strength": "string",          "person": {            "aliases": [              "string"            ],            "birth_place": "string",            "citizenship": "string",            "date_of_birth": "string",            "documents": [              {                "class": "string",                "country": "string",                "expiration_date": "string",                "issue_date": "string",                "number": "string",                "type": "string"              }            ],            "first_name": "string",            "full_name": "string",            "gender": "string",            "last_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "middle_name": "string",            "nationality": "string"          },          "provenance": {            "raw_record": {              "property1": null,              "property2": null            },            "vendor_list_id": "string",            "vendor_match_id": "string",            "vendor_source_id": "string"          }        }      ],      "proprietor_name": "string",      "provider_metadata": {        "duration_ms": 0,        "evidence_reuse": {          "execution_id": "string",          "reason": "string",          "recovery_audit_id": "string",          "source_attempt_number": 0,          "source_execution_id": "string",          "source_verification_id": "string"        },        "name": "string",        "raw": {          "property1": null,          "property2": null        },        "raw_response_key": "string",        "received_at": "string",        "request_id": "string",        "version": "string"      },      "provider_statuses": [        {          "detail": "string",          "provider": "string",          "retrieved_at": "string",          "status": "string"        }      ],      "reconciliation_decision": "string",      "reconciliation_reason_codes": [        "string"      ],      "registration_date": "string",      "registration_number": "string",      "registry_facts": [        {          "company_aliases": [            "string"          ],          "company_name": "string",          "confidence": 0,          "country": "string",          "director_names": [            "string"          ],          "incorporation_date": "string",          "legal_address": "string",          "lei": "string",          "provider": "string",          "registration_date": "string",          "registration_number": "string",          "source_retrieved_at": "string",          "source_url": "string",          "status": "string",          "tax_number": "string",          "website": "string"        }      ],      "risk_factors": [        {          "category": "string",          "code": "string",          "description": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "severity": "string",          "weight": 0        }      ],      "risk_level": "string",      "risk_score": 0,      "sanctions": [        {          "confidence": 0,          "hit_details": {            "additional_information": [              {                "label": "string",                "value": "string"              }            ],            "additional_sanctions": [              "string"            ],            "country": "string",            "crypto_wallets": [              "string"            ],            "delisted_at": "string",            "description": "string",            "education": [              "string"            ],            "email_addresses": [              "string"            ],            "last_updated": "string",            "listed_at": "string",            "notes": "string",            "phone_numbers": [              "string"            ],            "position": "string",            "programs": [              "string"            ],            "remarks": "string",            "risk_categories": [              "string"            ],            "source_links": [              "string"            ],            "source_url": "string",            "websites": [              "string"            ]          },          "list_category": "string",          "list_id": "string",          "list_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "match_fields": [            "string"          ],          "match_strength": "string",          "person": {            "aliases": [              "string"            ],            "birth_place": "string",            "citizenship": "string",            "date_of_birth": "string",            "documents": [              {                "class": "string",                "country": "string",                "expiration_date": "string",                "issue_date": "string",                "number": "string",                "type": "string"              }            ],            "first_name": "string",            "full_name": "string",            "gender": "string",            "last_name": "string",            "localized": {              "property1": {                "property1": "string",                "property2": "string"              },              "property2": {                "property1": "string",                "property2": "string"              }            },            "middle_name": "string",            "nationality": "string"          },          "provenance": {            "raw_record": {              "property1": null,              "property2": null            },            "vendor_list_id": "string",            "vendor_match_id": "string",            "vendor_source_id": "string"          }        }      ],      "shareholders": [        {          "addresses": [            {              "address": {                "city": "string",                "country": "string",                "full_text": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "postal_code": "string",                "region": "string",                "street": "string"              },              "type": "string",              "valid_from": "string",              "valid_to": "string"            }          ],          "appointed_at": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "id": "string",          "is_pep": true,          "is_sanctioned": true,          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string",          "ownership_pct": 0,          "resigned_at": "string",          "role": "string",          "role_raw": "string",          "tax_id": "string"        }      ],      "signatories": [        {          "addresses": [            {              "address": {                "city": "string",                "country": "string",                "full_text": "string",                "localized": {                  "property1": {                    "property1": "string",                    "property2": "string"                  },                  "property2": {                    "property1": "string",                    "property2": "string"                  }                },                "postal_code": "string",                "region": "string",                "street": "string"              },              "type": "string",              "valid_from": "string",              "valid_to": "string"            }          ],          "appointed_at": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "id": "string",          "is_pep": true,          "is_sanctioned": true,          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string",          "ownership_pct": 0,          "resigned_at": "string",          "role": "string",          "role_raw": "string",          "tax_id": "string"        }      ],      "sources": [        "string"      ],      "status": "string",      "status_date": "string",      "status_evidence_sources": [        "string"      ],      "status_info": "string",      "summary": "string",      "suspicious_signals": [        "string"      ],      "tax_number": "string",      "trade_name": "string",      "trading_name": "string"    },    "kyb_document_analysis": {      "confidence": 0,      "decision": "string",      "extracted_business_fields": {        "actual_address": "string",        "company_name": "string",        "company_status": "string",        "director_name": "string",        "director_title": "string",        "identifiers": [          "string"        ],        "legal_address": "string",        "matched": [          "string"        ],        "missing": [          "string"        ],        "registration_date": "string",        "registration_number": "string",        "status_date": "string",        "status_info": "string",        "tax_number": "string"      },      "files": [        {          "document_group": "string",          "document_type": "string",          "encrypted": true,          "freshness_status": "string",          "issue_date": "string",          "name": "string",          "ocr_required": true,          "size_bytes": 0,          "text_bytes": 0,          "type": "string"        }      ],      "fraud_signals": [        {          "file": "string",          "type": "string"        }      ],      "reasons": [        "string"      ]    },    "last_session_id": "string",    "last_verified_at": "string",    "latest_flow_name": "string",    "legal_address": "string",    "legal_form": "string",    "liquidation_date": "string",    "litigation": [      {        "amount": 0,        "case_number": "string",        "closed_at": "string",        "court": "string",        "currency": "string",        "filed_at": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "role": "string",        "status": "string",        "subject": "string"      }    ],    "main_url": "string",    "main_url_evidence_sources": [      "string"    ],    "main_url_unavailable_reason_info": "string",    "pep": [      {        "confidence": 0,        "hit_details": {          "additional_information": [            {              "label": "string",              "value": "string"            }          ],          "additional_sanctions": [            "string"          ],          "country": "string",          "crypto_wallets": [            "string"          ],          "delisted_at": "string",          "description": "string",          "education": [            "string"          ],          "email_addresses": [            "string"          ],          "last_updated": "string",          "listed_at": "string",          "notes": "string",          "phone_numbers": [            "string"          ],          "position": "string",          "programs": [            "string"          ],          "remarks": "string",          "risk_categories": [            "string"          ],          "source_links": [            "string"          ],          "source_url": "string",          "websites": [            "string"          ]        },        "list_category": "string",        "list_id": "string",        "list_name": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "match_fields": [          "string"        ],        "match_strength": "string",        "person": {          "aliases": [            "string"          ],          "birth_place": "string",          "citizenship": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "gender": "string",          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string"        },        "provenance": {          "raw_record": {            "property1": null,            "property2": null          },          "vendor_list_id": "string",          "vendor_match_id": "string",          "vendor_source_id": "string"        }      }    ],    "profile": {      "property1": null,      "property2": null    },    "registration_date": "string",    "registration_number": "string",    "rejection_reasons": [      "string"    ],    "review_correction_at": "string",    "review_requested_at": "string",    "review_requested_by": "string",    "review_risk_reasons": [      "string"    ],    "risk_factors": [      {        "category": "string",        "code": "string",        "description": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "severity": "string",        "weight": 0      }    ],    "risk_level": "string",    "risk_score": 0,    "sanctions": [      {        "confidence": 0,        "hit_details": {          "additional_information": [            {              "label": "string",              "value": "string"            }          ],          "additional_sanctions": [            "string"          ],          "country": "string",          "crypto_wallets": [            "string"          ],          "delisted_at": "string",          "description": "string",          "education": [            "string"          ],          "email_addresses": [            "string"          ],          "last_updated": "string",          "listed_at": "string",          "notes": "string",          "phone_numbers": [            "string"          ],          "position": "string",          "programs": [            "string"          ],          "remarks": "string",          "risk_categories": [            "string"          ],          "source_links": [            "string"          ],          "source_url": "string",          "websites": [            "string"          ]        },        "list_category": "string",        "list_id": "string",        "list_name": "string",        "localized": {          "property1": {            "property1": "string",            "property2": "string"          },          "property2": {            "property1": "string",            "property2": "string"          }        },        "match_fields": [          "string"        ],        "match_strength": "string",        "person": {          "aliases": [            "string"          ],          "birth_place": "string",          "citizenship": "string",          "date_of_birth": "string",          "documents": [            {              "class": "string",              "country": "string",              "expiration_date": "string",              "issue_date": "string",              "number": "string",              "type": "string"            }          ],          "first_name": "string",          "full_name": "string",          "gender": "string",          "last_name": "string",          "localized": {            "property1": {              "property1": "string",              "property2": "string"            },            "property2": {              "property1": "string",              "property2": "string"            }          },          "middle_name": "string",          "nationality": "string"        },        "provenance": {          "raw_record": {            "property1": null,            "property2": null          },          "vendor_list_id": "string",          "vendor_match_id": "string",          "vendor_source_id": "string"        }      }    ],    "shareholders": [      {        "addresses": [ 
[...]
